Prośba o pomoc w zainstalowaniu sterownika hplip

Karty sieciowe, modemy, routery, WiFi, Bluetooth etc.
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 01 sie 2019, 22:26

Witam.
Chciałbym żebyście mi pomogli w poprawnym zainstalowaniu sterownika hplip-3.19.6.run. Do tej pory na wszystkich dystrybucjach Ubuntu jak i Mint przebiegało bez problemu. Obecnie zainstalowałem Ubuntu 18.04 LTS i nie dam rady zainstalować w/w sterownika. Cała instalacja pod konsolą niby idzie ok, a na sam koniec wywala błąd w postaci braku plug-in. Zalecenie aby zainstalować plug-in. Do tej pory instalator sam instalował plug-in. Tym razem nie. Mało tego nie wyskakuje okno dialogowe do wskazania plug-in, który notabene ściągnąłem ze strony producenta hplip. Instalowałem go również z pod konsoli bez błędu ale to i tak nic nie daje. Dodam że instalator wykrywa urządzenie wielofunkcyjne. Może ktoś wie w czym jest problem?

Obrazek
Obrazek
Obrazek
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: kobrawerde » 01 sie 2019, 23:13

Nie mam doświadczenia w instalacji sterowników hplip...ale podpowiedź coś sugeruje żeby instalować oprogramowanie jako zwykły user a nie np. root czyli bez opcji sudo.
albo:
https://askubuntu.com/questions/1056077 ... or-scanner
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 01 sie 2019, 23:29

Podczas instalacji żąda hasła roota.
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 02 sie 2019, 06:34

Spróbuj najpierw usunąć błąd
Gtk-Message: Failed to load module "canberra-gtk-module"
poprzez instalację tego modułu

Kod: Zaznacz cały

sudo apt-get install libcanberra-gtk-module libcanberra-gtk3-module
lub ponowną instalację, jeśli już jest w systemie

Kod: Zaznacz cały

sudo apt-get install --reinstall libcanberra-gtk-module libcanberra-gtk3-module
i wtedy ponownie instaluj sterownik drukarki.
Ostatnio zmieniony 02 sie 2019, 13:19 przez arecki, łącznie zmieniany 1 raz.
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 02 sie 2019, 11:46

Arecki, zrobiłem jak napisałeś, ale niestety jest dalej to samo.
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 02 sie 2019, 13:17

Napisz konkretnie co zrobiłeś wraz z jakimiś zrzutami z terminala, bo wróżki na urlopie.
Ja tam się trochę machnąłem i skorygowałem trochę swoją wiadomość.
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 02 sie 2019, 14:29

arecki pisze:
02 sie 2019, 13:17
Napisz konkretnie co zrobiłeś wraz z jakimiś zrzutami z terminala, bo wróżki na urlopie.
Ja tam się trochę machnąłem i skorygowałem trochę swoją wiadomość.
Całą instalację masz tu: http://pokazywarka.pl/dowolex/

jak się uda twoja pomoc wysyłam ci grubą książkę do poczytania marki 0,7L Żubr 40% vol. :roll:
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: kobrawerde » 02 sie 2019, 17:08

a tej instrukcji / howto próbowałeś :
https://developers.hp.com/hp-linux-imag ... tall/index
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 02 sie 2019, 18:55

kobrawerde pisze:
02 sie 2019, 17:08
a tej instrukcji / howto próbowałeś :
https://developers.hp.com/hp-linux-imag ... tall/index
Hej, tak już na wstępie pisałem że to nie pierwsza moja instalacja na różnych dystrybucjach i wszystko było ok. A z 18.04 mam właśnie problem i nie wiem do końca o co tu chodzi. A że nie jestem mega mózgiem to proszę o pomoc. Mam jeszcze dwa systemy Minta 19 i tam jest ten instalator zainstalowany i wszystko działa ok, tylko system już pada. Na Windows 7 też działa wszystko ok, lecz nie trawię Windows więc tam nie zaglądam, ot jak już naprawdę trzeba. Nie ukrywam że głównie mi chodzi o skaner mojego urządzenia wielofunkcyjnego HP LaserJet M1212nf MFP bo drukarka działa ze sterownika samej dystrybucji Ubuntu 18.04.
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: kobrawerde » 02 sie 2019, 20:34

a spróbuj instalacji takich pakietów z synaptica:
hplip
hplip-data
printer-driver-foo2zjs
printer-driver-foo2zjs-common
printer-driver-pxljr
Gdzieś znalazłem iż jeśli chcemy zainstalować hplip przez apt musimy mieć wcześniej zainstalowany pakiet:

Kod: Zaznacz cały

sudo apt-get install hplip-gui
potem

Kod: Zaznacz cały

hp-setup
i więcej: https://askubuntu.com/questions/1070470 ... printer-or
inne pomocne linki:
https://askubuntu.com/questions/1151526 ... successful
https://askubuntu.com/questions/1058742 ... untu-18-04
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 03 sie 2019, 08:08

@Firsten, właściwie to czemu nie zainstalujesz jakiegoś wcześniejszego hplip z repozytirum?
Z tego co piszą na stronie HP, ten model drukarki jest wspierany od HPLIP version, 3.10.4 https://developers.hp.com/hp-linux-imag ... 1212nf_mfp
a w repozytoriach mamy wersję 3.17.10 https://packages.ubuntu.com/bionic/hplip

Ok, już widzę, że potwierdziłeś działanie na sterowniku z repozytorium Ubuntu.
To pytanie, czy przed instalacją nowego sterownika ze strony producenta usunąłeś stary?
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 03 sie 2019, 10:23

arecki pisze:
03 sie 2019, 08:08
@Firsten, właściwie to czemu nie zainstalujesz jakiegoś wcześniejszego hplip z repozytirum?
Z tego co piszą na stronie HP, ten model drukarki jest wspierany od HPLIP version, 3.10.4 https://developers.hp.com/hp-linux-imag ... 1212nf_mfp
a w repozytoriach mamy wersję 3.17.10 https://packages.ubuntu.com/bionic/hplip

Ok, już widzę, że potwierdziłeś działanie na sterowniku z repozytorium Ubuntu.
To pytanie, czy przed instalacją nowego sterownika ze strony producenta usunąłeś stary?
Jeśli chodzi o wcześniejsze to w grę wchodzi hplip od wersji 3.18...... wcześniejsze np. jak sugerowałeś 3.17.10 od razu błąd z info że sterownik o podanej nazwie nie wspiera dystrybucji 18.04. Wracając do wcześniejszej wersji instalowałem hplip-3.18.10.run, lecz sytuacja jest identyczna, a efekt końcowy brak plug-in
error: The device you are trying to setup requires a binary plug-in. Some functionalities may not work as expected without plug-ins. Please run 'hp-plugin' as normal user to install plug-ins. Visit http://hplipopensource.com for more infomation.

Teraz tak: próbowałem usunąć stary za pośrednictwem synaptic - bez efektu. Ogólnie sam instalator podczas instalacji sterownika odinstalowuje poprzednią wersję jaka by ona nie była. Więc wracamy do punktu wyjścia.
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 03 sie 2019, 10:30

Chwila, sterownik 3.17.10 instalowany ze repozytorii Ubuntu, zgłasza, że nie wspiera dystrybucji 18.04?
To czemu piszesz, że drukarka działa ze sterownika samej dystrybucji Ubuntu 18.04?
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 03 sie 2019, 10:37

arecki pisze:
03 sie 2019, 10:30
Chwila, sterownik 3.17.10 instalowany ze repozytorii Ubuntu, zgłasza, że nie wspiera dystrybucji 18.04?
To czemu piszesz, że drukarka działa ze sterownika samej dystrybucji Ubuntu 18.04?
Sama drukarka chodzi z repozytorium bo tam są same sterowniki do drukarki, natomiast obrazowanie już nie. Natomiast podczas instalacji hplip-3.17.10 wywala błąd o nie wspieraniu:
error: ubuntu-18.04 version is not supported, so all dependencies may not be installed. However trying to install using ubuntu-17.04 version packages.
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 03 sie 2019, 10:43

To jaką masz dystrybucję?

Kod: Zaznacz cały

cat /etc/os-release

Kod: Zaznacz cały

apt-cache policy
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 03 sie 2019, 10:51

arecki pisze:
03 sie 2019, 10:43
To jaką masz dystrybucję?

Kod: Zaznacz cały

cat /etc/os-release

Kod: Zaznacz cały

apt-cache policy
VERSION="18.04.2 LTS (Bionic Beaver)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 18.04.2 LTS"
VERSION_ID="18.04"
HOME_URL="https://www.ubuntu.com/"
SUPPORT_URL="https://help.ubuntu.com/"
BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and- ... acy-policy"
VERSION_CODENAME=bionic
UBUNTU_CODENAME=bionic
Plików pakietów:
100 /var/lib/dpkg/status
release a=now
500 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages
release v=1.0,o=Google LLC,a=stable,n=stable,l=Google,c=main,b=amd64
origin dl.google.com
500 http://ppa.launchpad.net/danielrichter2 ... zer/ubuntu bionic/main i386 Packages
release v=18.04,o=LP-PPA-danielrichter2007-grub-customizer,a=bionic,n=bionic,l=Launchpad PPA for Grub Customizer,c=main,b=i386
origin ppa.launchpad.net
500 http://ppa.launchpad.net/danielrichter2 ... zer/ubuntu bionic/main amd64 Packages
release v=18.04,o=LP-PPA-danielrichter2007-grub-customizer,a=bionic,n=bionic,l=Launchpad PPA for Grub Customizer,c=main,b=amd64
origin ppa.launchpad.net
500 http://security.ubuntu.com/ubuntu bionic-security/multiverse i386 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=multiverse,b=i386
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=multiverse,b=amd64
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/universe i386 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=universe,b=i386
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=universe,b=amd64
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/restricted i386 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=restricted,b=i386
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=restricted,b=amd64
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/main i386 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=main,b=i386
origin security.ubuntu.com
500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-security,n=bionic,l=Ubuntu,c=main,b=amd64
origin security.ubuntu.com
100 http://pl.archive.ubuntu.com/ubuntu bionic-backports/universe i386 Packages
release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=universe,b=i386
origin pl.archive.ubuntu.com
100 http://pl.archive.ubuntu.com/ubuntu bionic-backports/universe amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=universe,b=amd64
origin pl.archive.ubuntu.com
100 http://pl.archive.ubuntu.com/ubuntu bionic-backports/main i386 Packages
release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=main,b=i386
origin pl.archive.ubuntu.com
100 http://pl.archive.ubuntu.com/ubuntu bionic-backports/main amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-backports,n=bionic,l=Ubuntu,c=main,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/multiverse i386 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=multiverse,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=multiverse,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=universe,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=universe,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/restricted i386 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=restricted,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=restricted,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=main,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
release v=18.04,o=Ubuntu,a=bionic-updates,n=bionic,l=Ubuntu,c=main,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=multiverse,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=multiverse,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/universe i386 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=universe,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=universe,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/restricted i386 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=restricted,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/restricted amd64 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=restricted,b=amd64
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/main i386 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=main,b=i386
origin pl.archive.ubuntu.com
500 http://pl.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
release v=18.04,o=Ubuntu,a=bionic,n=bionic,l=Ubuntu,c=main,b=amd64
origin pl.archive.ubuntu.com
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 03 sie 2019, 10:58

Coś ci się chyba myli.
Chcesz mi powiedzieć, że po instalacji

Kod: Zaznacz cały

sudo apt-get install hplip
, czyli wersji 3.17.10,
wywala błąd
error: ubuntu-18.04 version is not supported, so all dependencies may not be installed. However trying to install using ubuntu-17.04 version packages.
Nie mylisz czasem sterownika pobranego od producenta z tym z Ubuntu?
Awatar użytkownika
Firsten
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 30 sie 2013, 16:06
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64
Lokalizacja: Białystok
Kontakt:

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Firsten » 03 sie 2019, 11:10

arecki pisze:
03 sie 2019, 10:58
Coś ci się chyba myli.
Chcesz mi powiedzieć, że po instalacji

Kod: Zaznacz cały

sudo apt-get install hplip
, czyli wersji 3.17.10,
wywala błąd
error: ubuntu-18.04 version is not supported, so all dependencies may not be installed. However trying to install using ubuntu-17.04 version packages.
Nie mylisz czasem sterownika pobranego od producenta z tym z Ubuntu?
Tak na sterowniku 3.17.10 wywala błąd. A jeśli chodzi o różnicę sterowników tego z repozytorium a popranych od producenta, to ten od producenta jest dodatkowo o obrazowanie na czym mi bardzo zależy.
Awatar użytkownika
Tomfoc
Przebojowy Jelonek
Przebojowy Jelonek
Posty: 1924
Rejestracja: 30 lis 2011, 21:14
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: Tomfoc » 03 sie 2019, 11:49

Mam Ubuntu 18.04.2 i hplip w wersji 3.17.10. Wszystko działa bez zastrzeżeń.
Laptop: Lenovo Ideapad 300, CPU: Intel® Core™ i5-6200U CPU @ 2.30GHz × 4, GPU: Intel® HD Graphics 520 (Skylake GT2), RAM: 8 GB, HDD: 500 GB
Awatar użytkownika
arecki
Wytworny Kaczor
Wytworny Kaczor
Posty: 283
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86_64
Lokalizacja: 44 Bronson Lane Hensonville

Re: Prośba o pomoc w zainstalowaniu sterownika hplip

Post autor: arecki » 03 sie 2019, 15:14

@Firsten, pokaż wynik:

Kod: Zaznacz cały

apt-cache policy hplip
ODPOWIEDZ

Wróć do „Urządzenia sieciowe”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 37 gości